<?xml version="1.0" encoding="utf-8"?>
<!--

    This is a Android application for converting writtenMorse and normal morse code.
    Copyright (C) 2014-2015  Marcel Michael Kapfer

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Marcel Michael Kapfer
    marcelmichaelkapfer@yahoo.co.nz

-->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/about"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="#fff"

    android:layout_gravity="top"
    android:layout_alignParentTop="true"
    android:layout_alignTop="@id/about"
    android:layout_alignWithParentIfMissing="true"
    android:layout_marginTop="-50dp"
    tools:context=".AboutActivity$PlaceholderFragment">

    <ScrollView
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:id="@+id/scrollView">

        <LinearLayout
            style="@style/LinearLayoutListContainer"
            android:layout_height="fill_parent"
            android:layout_gravity="top">

            <LinearLayout
                style="@style/LinearLayoutList"
                android:id="@+id/versionEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionVersion"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:id="@+id/textView2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/aboutVersion"
                    android:textColor="@color/primary_text_default_material_light" />

            </LinearLayout>

            <LinearLayout
                style="@style/LinearLayoutList"
                android:id="@+id/developerEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionDeveloper"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/aboutDeveloper"
                    android:textColor="@color/primary_text_default_material_light" />

            </LinearLayout>

            <LinearLayout
                style="@style/LinearLayoutList"
                android:id="@+id/websiteEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionWebsite"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/aboutWebsite"
                    android:textColor="@color/primary_text_default_material_light" />

            </LinearLayout>

            <LinearLayout
                style="@style/LinearLayoutList"
                android:id="@+id/contactEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionContact"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/aboutContact"
                    android:textColor="@color/primary_text_default_material_light" />

            </LinearLayout>

            <LinearLayout
                style="@style/LinearLayoutList"
                android:id="@+id/licenseEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionLicense"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/aboutLicense"
                    android:textColor="@color/primary_text_default_material_light" />

            </LinearLayout>

            <LinearLayout
                style="@style/LinearLayoutList"
                android:id="@+id/bugEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionBug"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:id="@+id/textView3"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:text="@string/aboutBug"
                    android:textColor="@color/primary_text_default_material_light" />

            </LinearLayout>

            <LinearLayout
                style="@style/LinearLayoutList"
                android:id="@+id/howtoEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionHow"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:id="@+id/textView4"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:text="@string/aboutHow"
                    android:textColor="@color/primary_text_default_material_light" />

            </LinearLayout>

            <LinearLayout
                style="@style/LinearLayoutList"
                android:paddingBottom="70dp"
                android:id="@+id/missingCodeEntry"
                android:clickable="true">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:text="@string/sectionMissing"
                    android:textColor="@color/primary_text_default_material_light"
                    />

                <TextView
                    android:id="@+id/textView5"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:text="@string/aboutMissing"
                    android:textColor="@color/primary_text_default_material_light"/>

            </LinearLayout>


        </LinearLayout>

    </ScrollView>

</LinearLayout>
